Bug 239591 - math/py-pandas-datareader: Update to 0.7.4
Summary: math/py-pandas-datareader: Update to 0.7.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/pydata/pandas-data...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-02 05:11 UTC by Shane
Modified: 2019-08-09 11:27 UTC (History)
1 user (show)

See Also:
kai: merge-quarterly+


Attachments
maintainer update for math/py-pandas-datareader (1.23 KB, patch)
2019-08-02 05:11 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2019-08-02 05:11:05 UTC
Created attachment 206216 [details]
maintainer update for math/py-pandas-datareader

Update math/py-pandas-datareader to 0.7.4
Comment 1 commit-hook freebsd_committer 2019-08-08 22:39:36 UTC
A commit references this bug:

Author: kai
Date: Thu Aug  8 22:38:44 UTC 2019
New revision: 508411
URL: https://svnweb.freebsd.org/changeset/ports/508411

Log:
  math/py-pandas-datareader: Update to 0.7.4

  * Pet portlint by making the USES block separate while I'm here.

  Changelog since 0.7.0:

  * Restore Python 2.7 compatibility since the 0.7.x branch
  * Fixed import of pandas.compat dependencies

  https://github.com/pydata/pandas-datareader/compare/v0.7.0...v0.7.4

  PR:		239591
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz> (maintainer)
  MFH:		2019Q3

Changes:
  head/math/py-pandas-datareader/Makefile
  head/math/py-pandas-datareader/distinfo
Comment 2 Kai Knoblich freebsd_committer 2019-08-08 22:42:06 UTC
Committed to the head branch, thank you for the patch!

Still waiting for approval from the ports-secteam to commit the changes to the 2019Q3 branch.
Comment 3 commit-hook freebsd_committer 2019-08-09 11:25:34 UTC
A commit references this bug:

Author: kai
Date: Fri Aug  9 11:25:07 UTC 2019
New revision: 508437
URL: https://svnweb.freebsd.org/changeset/ports/508437

Log:
  MFH: r508411

  math/py-pandas-datareader: Update to 0.7.4

  * Pet portlint by making the USES block separate while I'm here.

  Changelog since 0.7.0:

  * Restore Python 2.7 compatibility since the 0.7.x branch
  * Fixed import of pandas.compat dependencies

  https://github.com/pydata/pandas-datareader/compare/v0.7.0...v0.7.4

  PR:		239591
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz> (maintainer)
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/math/py-pandas-datareader/Makefile
  branches/2019Q3/math/py-pandas-datareader/distinfo
Comment 4 Kai Knoblich freebsd_committer 2019-08-09 11:27:04 UTC
Committed to the 2019Q3 branch, all done!